package com.ruoyi.web.modules.account.service;

import java.util.Map;
import com.ruoyi.web.modules.account.domain.BizMember;
import com.ruoyi.web.modules.account.dto.MemberLoginDTO;
import com.ruoyi.web.modules.account.dto.MemberRegisterDTO;

/**
 * C 端会员 Service
 */
public interface IMemberAppService
{
    void sendSms(String mobile);

    Long register(MemberRegisterDTO dto);

    Map<String, Object> login(MemberLoginDTO dto);

    BizMember getProfile(Long memberId);

    void updateProfile(Long memberId, BizMember profile);
}
